data:extend({
	{
		type = "technology",
		name = "copper-wall",
		icon = "__WallCraft__/graphics/technology/copper-walls.png",
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "copper-wall"
		  }
		},
		prerequisites = {"stone-walls"},
		unit =
		{
		  count = 30,
		  ingredients =
		  {
			{"science-pack-1", 2}
		  },
		  time = 20
		},
		order = "a-k-b"
	},
	{
		type = "technology",
		name = "iron-wall",
		icon = "__WallCraft__/graphics/technology/iron-walls.png",
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "iron-wall"
		  }
		},
		prerequisites = {"stone-walls"},
		unit =
		{
		  count = 35,
		  ingredients =
		  {
			{"science-pack-1", 3},
			{"science-pack-2", 3}
		  },
		  time = 25
		},
		order = "a-k-b"
	},
	{
		type = "technology",
		name = "steel-wall",
		icon = "__WallCraft__/graphics/technology/steel-walls.png",
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "steel-wall"
		  }
		},
		prerequisites = {"steel-processing", "stone-walls"},
		unit =
		{
		  count = 50,
		  ingredients =
		  {
			{"science-pack-1", 4},
			{"science-pack-2", 4}
		  },
		  time = 60
		},
		order = "a-k-b"
	},
	{
		type = "technology",
		name = "concrete-wall",
		icon = "__WallCraft__/graphics/technology/concrete-walls.png",
		effects =
		{
		  {
			type = "unlock-recipe",
			recipe = "concrete-wall"
		  }
		},
		prerequisites = {"concrete","stone-walls"},
		unit =
		{
		  count = 55,
		  ingredients =
		  {
			{"science-pack-1", 5},
			{"science-pack-2", 5},
			{"science-pack-3", 5}
		  },
		  time = 60
		},
		order = "a-k-b"
	}
})